#include "clientapi.h"
#include "strops.h"

#include "globals.h"
#include "clientgremlin.h"

#include "clientgremlindesc.h"

ClientGremlinDesc::ClientGremlinDesc( ClientApi* client )
: ClientGremlin( client, "info" )
{

}

void ClientGremlinDesc::OutputInfo( char level, const_char* data )
{
	StrBuf s;
	s.Set( data );

	int words;
	if ( s.Contains( StrRef( "Change Specification" ) ) )
		words = 500;
	else
		words = 100;

	StrBuf desc;
	for ( int a = 0 ; a < rand() % words + 5 ; a++ )
	{
		if ( a % 6 == 5 ) desc.Append( "\n\t" );
		else if ( a ) desc.Append( " " );
		desc.Append( descwords.GetVar
			( StrNum( rand() % descwords.GetCount() ) ) );
	}
	desc.Append( "." );

	StrOps::Replace( input, s, StrRef( "<enter description here>" ), desc );
}
